Package org.apache.wiki.filters

# Class ProfanityFilter

java.lang.Object
org.apache.wiki.api.filters.BasePageFilter
org.apache.wiki.filters.ProfanityFilter

All Implemented Interfaces:
  `PageFilter`

public class ProfanityFilter extends BasePageFilter
This class is an example of how to have a simple filter. It removes all nasty words located at `profanity.properties` file, inside `org/apache/wiki/filters` package. The search of profanities is case unsensitive.

## Field Summary

### Fields inherited from class org.apache.wiki.api.filters.BasePageFilter

`m_engine`

## Constructor Summary

Constructors
Constructor
Description
`ProfanityFilter()`

## Method Summary

Modifier and Type
Method
Description
`String`
`preTranslate(Context context, String content)`

### Methods inherited from class org.apache.wiki.api.filters.BasePageFilter

`initialize`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.wiki.api.filters.PageFilter

`destroy, postSave, postTranslate, preSave`

## Constructor Details

### ProfanityFilter

public ProfanityFilter()

## Method Details

### preTranslate

public String preTranslate(Context context, String content)